ChangeSet 1.1474.98.20, 2004/01/19 12:49:37-08:00, khali@linux-fr.org

[PATCH] I2C: Fix lm90.c with DEBUG

The recent patch that fixes lm83.c with DEBUG also applies to lm90.c. No
wonder since I used the first as a template when porting the second.
Patch follows.


 drivers/i2c/chips/lm90.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/i2c/chips/lm90.c b/drivers/i2c/chips/lm90.c
--- a/drivers/i2c/chips/lm90.c	Mon Jan 19 15:29:26 2004
+++ b/drivers/i2c/chips/lm90.c	Mon Jan 19 15:29:26 2004
@@ -320,8 +320,8 @@
 
 		if ((reg_config1 & 0x2A) != 0x00
 		 || reg_convrate > 0x0A) {
-			dev_dbg(&client->dev,
-				"LM90 detection failed at 0x%02x.\n"
+			dev_dbg(&adapter->dev,
+				"LM90 detection failed at 0x%02x.\n",
 				address);
 			goto exit_free;
 		}
